Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core.metadata
Class CallParameterMetaData

    java.lang.Object
      org.springframework.jdbc.core.metadata.CallParameterMetaData

    public class CallParameterMetaData

extends Object

Holder of metadata for a specific parameter that is used for call processing.

Since:
  2.5
Author:
  Thomas Risberg

Constructor Summary
`CallParameterMetaData(String columnName, int columnType, int sqlType, String typeName, boolean nullable)` Constructor taking all the properties

Method Summary
`String` | `getParameterName()` Get the parameter name.
`int` | `getParameterType()` Get the parameter type.
`int` | `getSqlType()` Get the parameter SQL type.
`String` | `getTypeName()` Get the parameter type name.
`boolean` | `isNullable()` Get whether the parameter is nullable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallParameterMetaData

    public CallParameterMetaData(String columnName,
                                 int columnType,
                                 int sqlType,
                                 String typeName,
                                 boolean nullable)

  Constructor taking all the properties

Method Detail

### getParameterName

    public String getParameterName()

  Get the parameter name.

### getParameterType

    public int getParameterType()

  Get the parameter type.

### getSqlType

    public int getSqlType()

  Get the parameter SQL type.

### getTypeName

    public String getTypeName()

  Get the parameter type name.

### isNullable

    public boolean isNullable()

  Get whether the parameter is nullable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.